package cn.bunny.pattern5.demo1.command;

import cn.bunny.pattern5.demo1.AirConditioner;

// 具体命令类：打开空调的命令
public class AirConditionerOnCommand implements Command {
    private final AirConditioner airConditioner;

    public AirConditionerOnCommand(AirConditioner airConditioner) {
        this.airConditioner = airConditioner;
    }

    @Override
    public void execute() {
        airConditioner.on();
    }
}